KateDocCursor Class Reference

`#include <katecursor.h>`

Inheritance diagram for KateDocCursor:

## Public Member Functions

| KateDocCursor (KateDocument *doc)
| KateDocCursor (int line, int col, KateDocument *doc)
bool | validPosition (uint line, uint col)
bool | validPosition ()
bool | gotoNextLine ()
bool | gotoPreviousLine ()
bool | gotoEndOfNextLine ()
bool | gotoEndOfPreviousLine ()
int | nbCharsOnLineAfter ()
bool | moveForward (uint nbChar)
bool | moveBackward (uint nbChar)
void | position (uint *line, uint *col) const
bool | setPosition (uint line, uint col)
bool | insertText (const QString &text)
bool | removeText (uint numberOfCharacters)
QChar | currentChar () const
uchar | currentAttrib () const
bool | nextNonSpaceChar ()
bool | previousNonSpaceChar ()
Public Member Functions inherited from KateTextCursor
| KateTextCursor (int line, int col)
void | pos (int *pline, int *pcol) const
int | line () const
int | col () const
virtual void | setLine (int line)
virtual void | setCol (int col)
virtual void | setPos (const KateTextCursor &pos)
virtual void | setPos (int line, int col)

## Protected Attributes

KateDocument * | m_doc
Protected Attributes inherited from KateTextCursor
int | m_line
int | m_col

## Detailed Description

Cursor class with a pointer to its document.

Definition at line 92 of file katecursor.h.

## Member Function Documentation

bool KateDocCursor::nextNonSpaceChar | ( |  | ) |

Find the position (line and col) of the next char that is not a space.

If found KateDocCursor points to the found character. Otherwise to a invalid Position such that validPosition() returns false.

Returns
  True if the specified or a following character is not a space Otherwise false.

Definition at line 165 of file katecursor.cpp.

bool KateDocCursor::previousNonSpaceChar | ( |  | ) |

Find the position (line and col) of the previous char that is not a space.

If found KateDocCursor points to the found character. Otherwise to a invalid Position such that validPosition() returns false.

Returns
  True if the specified or a preceding character is not a space Otherwise false.

Definition at line 178 of file katecursor.cpp.

The documentation for this class was generated from the following files:

- katecursor.h
- katecursor.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys